List Dev Orgs Auth Connections
Lists all the authentication connections available for a Dev organization. This list will include both social and enterprise connections which are either available by default or are explicitly created by the user. **Required scopes:** - `dev_org:read`
Lists all the authentication connections available for a Dev organization. This list will include both social and enterprise connections which are either available by default or are explicitly created by the user.
Required scopes:
dev_org:read
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.devrev.ai/dev-orgs.auth-connections.list"{
"auth_connections": [
{
"type": "google_apps",
"display_name": "string",
"enabled": true,
"id": "string",
"client_id": "string",
"domain": "string"
}
]
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}List Dev Orgs Auth Connections (POST) POST
Lists all the authentication connections available for a Dev organization. This list will include both social and enterprise connections which are either available by default or are explicitly created by the user. **Required scopes:** - `dev_org:read`
Toggle Dev Orgs Auth Connections POST
Enable or disable an authentication connection for a Dev organization. Atleast one authentication connection must be enabled for a Dev organization. **Required scopes:** - `dev_org:write`